package com.wallpaper.perfectwallpaper.room;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class ImageEntry{

    @PrimaryKey(autoGenerate = true)
    private int id;
    private String original;
    private String previewThumb;
    private String source;
    private String name;
    private Boolean isLike;

    public ImageEntry(String original, String previewThumb, String source, String name, Boolean isLike) {
        this.original = original;
        this.previewThumb = previewThumb;
        this.source = source;
        this.name = name;
        this.isLike = isLike;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getOriginal() {
        return original;
    }

    public void setOriginal(String original) {
        this.original = original;
    }

    public String getPreviewThumb() {
        return previewThumb;
    }

    public void setPreviewThumb(String previewThumb) {
        this.previewThumb = previewThumb;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getLike() {
        return isLike;
    }

    public void setLike(Boolean like) {
        isLike = like;
    }
}
